#include "monitor.h"
#include <iostream>

using namespace std;

void Monitor::count_hit()
{
    if (l1hit_signal)
        l1hits++;
}

void Monitor::count_miss()
{
    if (l1miss_signal)
        l1misses++;
}

void Monitor::make_my_report()
{
    cout << dec << endl <<
        "Report : " << endl << 
        "L1 total requests : " << l1hits + l1misses << endl <<
        "         hits     : " << l1hits << endl << 
        "         misses   : " << l1misses << endl;

}
